aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorAndrew Manison <amanison@anselsystems.com>2010-09-07 13:25:01 +0000
committerAndrew Manison <amanison@anselsystems.com>2010-09-07 13:25:01 +0000
commit2b41d54ce65ea36bd7d8d5b3a40c6c0e45170a64 (patch)
treeae0f2045da2808bdbd8db22b8d23b947aeccd2bd /testing
parent4acba7611290bd479f9e241bb250c4b02e882f94 (diff)
parent3f7f818a76ed2f05b12df5424d8c252a10f6f638 (diff)
downloadaports-2b41d54ce65ea36bd7d8d5b3a40c6c0e45170a64.tar.bz2
aports-2b41d54ce65ea36bd7d8d5b3a40c6c0e45170a64.tar.xz
Merge remote branch 'alpine/master'
Conflicts: main/gtk+/APKBUILD main/icu/APKBUILD main/pango/APKBUILD
Diffstat (limited to 'testing')
-rw-r--r--testing/acl/APKBUILD54
-rw-r--r--testing/acl/quote-strchr.patch25
-rw-r--r--testing/cacti/APKBUILD45
-rw-r--r--testing/dmidecode/APKBUILD36
-rw-r--r--testing/empty/APKBUILD31
-rw-r--r--testing/flashrom/APKBUILD9
-rwxr-xr-xtesting/flashrom/flashrom.post-install15
-rw-r--r--testing/gdl/APKBUILD26
-rw-r--r--testing/libusb-compat/APKBUILD35
-rw-r--r--testing/open-vm-tools/APKBUILD2
-rw-r--r--testing/pekwm/APKBUILD36
-rw-r--r--testing/recordmydesktop/APKBUILD37
-rw-r--r--testing/recordmydesktop/recordmydesktop-bitrate.patch50
-rw-r--r--testing/recordmydesktop/shmstr-to-shmproto.patch20
-rw-r--r--testing/udev/APKBUILD35
-rw-r--r--[-rwxr-xr-x]testing/udev/udev-mount.initd48
-rw-r--r--[-rwxr-xr-x]testing/udev/udev-postmount.initd12
-rw-r--r--testing/udev/udev-start.sh51
-rw-r--r--testing/udev/udev.confd64
-rw-r--r--[-rwxr-xr-x]testing/udev/udev.initd59
-rw-r--r--testing/ulogd/APKBUILD53
-rw-r--r--testing/ulogd/ulogd.initd38
-rw-r--r--testing/valide/APKBUILD5
-rw-r--r--testing/vlc/APKBUILD121
-rw-r--r--testing/vlc/uclibc-inhibit-spawn.patch35
-rw-r--r--testing/vlc/uclibc-libcompat.patch81
-rw-r--r--testing/vlc/uclibc3.patch49
27 files changed, 355 insertions, 717 deletions
diff --git a/testing/acl/APKBUILD b/testing/acl/APKBUILD
new file mode 100644
index 0000000000..c1b42c6622
--- /dev/null
+++ b/testing/acl/APKBUILD
@@ -0,0 +1,54 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=acl
+pkgver=2.2.49
+pkgrel=0
+pkgdesc="Library for filesystem ACL support"
+url="http://savannah.nongnu.org/projects/acl"
+license="LGPL"
+depends=
+makedepends="attr-dev gzip"
+subpackages="$pkgname-dev $pkgname-doc libacl"
+source="http://mirrors.zerg.biz/nongnu/$pkgname/$pkgname-$pkgver.src.tar.gz
+ quote-strchr.patch"
+
+prepare() {
+ cd "$srcdir"/acl-$pkgver
+ patch -p1 -i "$srcdir"/quote-strchr.patch || return 1
+ #libtoolize --force && aclocal -I m4 && autoconf && autoheader
+ sed -i \
+ -e '/^as_dummy=/s:=":="$PATH$PATH_SEPARATOR:' \
+ configure # hack PATH with AC_PATH_PROG
+ sed -i \
+ -e "/^PKG_DOC_DIR/s:@pkg_name@:${PF}:" \
+ -e '/HAVE_ZIPPED_MANPAGES/s:=.*:=false:' \
+ include/builddefs.in \
+ || return 1
+}
+
+build() {
+ cd "$srcdir"/acl-$pkgver
+ unset PLATFORM
+ export OPTIMIZER="${CFLAGS}"
+ export DEBUG=-DNDEBUG
+ CONFIG_SHELL=/bin/sh ./configure --prefix=/usr \
+ --libdir=/lib \
+ --libexecdir=/usr/lib \
+ --disable-gettext \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/acl-$pkgver
+ make DIST_ROOT="$pkgdir" install install-lib install-dev
+ mv "$pkgdir"/lib/libacl.[al]* "$pkgdir"/usr/lib/
+ chown -R root:root "$pkgdir"/*
+}
+
+libacl() {
+ mkdir -p "$subpkgdir"/lib
+ mv "$pkgdir"/lib/libacl.so.* "$subpkgdir"/lib/
+}
+
+md5sums="181445894cca986da9ae0099d5ce2d08 acl-2.2.49.src.tar.gz
+1bef4f022a068ebfeb3b5363dc6ce174 quote-strchr.patch"
diff --git a/testing/acl/quote-strchr.patch b/testing/acl/quote-strchr.patch
new file mode 100644
index 0000000000..d2510da24e
--- /dev/null
+++ b/testing/acl/quote-strchr.patch
@@ -0,0 +1,25 @@
+From 7565e4fcb9209782ed02f3caff246cf5ea816674 Mon Sep 17 00:00:00 2001
+From: Mike Frysinger <vapier@gentoo.org>
+Date: Fri, 8 Jan 2010 21:28:31 -0500
+Subject: [PATCH] quote: pull in string.h for strchr prototype
+
+Signed-off-by: Mike Frysinger <vapier@gentoo.org>
+---
+ libmisc/quote.c | 1 +
+ 1 files changed, 1 insertions(+), 0 deletions(-)
+
+diff --git a/libmisc/quote.c b/libmisc/quote.c
+index f98c887..bf8f9eb 100644
+--- a/libmisc/quote.c
++++ b/libmisc/quote.c
+@@ -20,6 +20,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <ctype.h>
++#include <string.h>
+ #include "misc.h"
+
+ const char *quote(const char *str, const char *quote_chars)
+--
+1.6.6
+
diff --git a/testing/cacti/APKBUILD b/testing/cacti/APKBUILD
new file mode 100644
index 0000000000..e7452bf63e
--- /dev/null
+++ b/testing/cacti/APKBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Jeff Bilyk <jbilyk@gmail.com>
+pkgname=cacti
+pkgver=0.8.7g
+pkgrel=0
+pkgdesc="Network monitoring tool based on RRDtool"
+url="http://www.cacti.net"
+license="GPL"
+depends="mysql php php-mysql php-snmp rrdtool net-snmp php-sockets php-xml php-gd"
+makedepends=
+source="http://www.cacti.net/downloads/$pkgname-$pkgver.tar.gz
+http://www.cacti.net/downloads/patches/$pkgver/data_source_deactivate.patch
+http://www.cacti.net/downloads/patches/$pkgver/graph_list_view.patch
+http://www.cacti.net/downloads/patches/$pkgver/html_output.patch
+http://www.cacti.net/downloads/patches/$pkgver/ldap_group_authenication.patch
+http://www.cacti.net/downloads/patches/$pkgver/script_server_command_line_parse.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ for i in ../*.patch; do
+ msg "Applying $i"
+ if ! patch -p1 -i $i; then
+ error "$i failed"
+ return 1
+ fi
+ done
+}
+
+build() {
+ cd "$_builddir"
+ return 0
+}
+
+package() {
+ mkdir -p "$pkgdir"/usr/share/webapps/cacti
+ mv "$srcdir"/$pkgname-$pkgver/* "$pkgdir"/usr/share/webapps/cacti/ || return 1
+
+}
+md5sums="268421cb1a58d3444f7ecbddb4c4b016 cacti-0.8.7g.tar.gz
+d39570fd2e2b5c7f9aa47000b8a28c42 data_source_deactivate.patch
+6c2f7db4af48e59323c5e8b25a34866b graph_list_view.patch
+134d120930e4f2211f017f5b71d9280a html_output.patch
+5bb62cc6fde7c99f0c29cab869412f73 ldap_group_authenication.patch
+e14edee082d1250e3946c3caa58a40b4 script_server_command_line_parse.patch"
diff --git a/testing/dmidecode/APKBUILD b/testing/dmidecode/APKBUILD
new file mode 100644
index 0000000000..0b91024e3b
--- /dev/null
+++ b/testing/dmidecode/APKBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Nathan Angelacos <nangel@alpinelinux.org>
+pkgname=dmidecode
+pkgver=2.9
+pkgrel=0
+pkgdesc="A utility for reporting system hardware as described by BIOS"
+url="http://www.nongnu.org/dmidecode"
+license="GPL"
+depends=
+makedepends=
+subpackages="$pkgname-doc"
+source="http://mirror.its.uidaho.edu/pub/savannah/dmidecode/dmidecode-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+ for i in "$srcdir"/*.patch; do
+ [ -f "$i" ] || continue
+ msg "Applying $i"
+ patch -p1 -i "$i" || return 1
+ done
+ sed '/^PROGRAMS !=/d' -i Makefile
+}
+
+build() {
+ cd "$_builddir"
+ make prefix=/usr || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make prefix=/usr DESTDIR="${pkgdir}" install
+}
+
+md5sums="1f804692168178c19a8ec86d147fbc77 dmidecode-2.9.tar.gz"
diff --git a/testing/empty/APKBUILD b/testing/empty/APKBUILD
new file mode 100644
index 0000000000..0e43068a65
--- /dev/null
+++ b/testing/empty/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=empty
+pkgver=0.6.18b
+pkgrel=0
+pkgdesc="run applications under pseudo-terminal (PTY) sessions"
+url="http://empty.sourceforge.net/"
+license="BSD"
+depends=
+makedepends=
+install=
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/sourceforge/empty/empty-$pkgver.tgz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -D empty "$pkgdir"/usr/bin/empty
+ install -D empty.1 "$pkgdir"/usr/share/man/man1/empty.1
+}
+
+md5sums="2cf5e1b8ff58c41b63738bdc7c24fbc2 empty-0.6.18b.tgz"
diff --git a/testing/flashrom/APKBUILD b/testing/flashrom/APKBUILD
index 62420605a3..7864cd6a24 100644
--- a/testing/flashrom/APKBUILD
+++ b/testing/flashrom/APKBUILD
@@ -1,14 +1,15 @@
-Contributor: nangel@tetrasec.net
-# Maintainer:
+# Contributor:
+# Maintainer: Nathan Angelacos <nangel@alpinelinux.org>
pkgname=flashrom
pkgver=0.9.2
-pkgrel=0
+pkgrel=1
pkgdesc="A utility for identifying, reading, writing, verifying and erasing flash chips"
url="http://www.flashrom.org/Flashrom"
license="GPL"
-depends=
+depends=dmidecode
makedepends=pciutils-dev
subpackages="$pkgname-doc"
+install="$pkgname.post-install"
source="http://qa.coreboot.org/releases/flashrom-0.9.2.tar.bz2"
_builddir="$srcdir"/$pkgname-$pkgver
diff --git a/testing/flashrom/flashrom.post-install b/testing/flashrom/flashrom.post-install
new file mode 100755
index 0000000000..b7919f5fd1
--- /dev/null
+++ b/testing/flashrom/flashrom.post-install
@@ -0,0 +1,15 @@
+#!/bin/sh
+if [ -e /proc/sys/kernel/grsecurity/ ]; then
+cat - <<EOF
+
+ ************[ flashrom package installation notice ]****************
+
+ You appear to be running a grsec enabled kernel.
+ flashrom needs write access to /dev/mem and will likely not work
+
+ *********************************************************************
+
+EOF
+fi
+exit 0
+
diff --git a/testing/gdl/APKBUILD b/testing/gdl/APKBUILD
deleted file mode 100644
index 7149885412..0000000000
--- a/testing/gdl/APKBUILD
+++ /dev/null
@@ -1,26 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=gdl
-pkgver=2.30.0
-pkgrel=0
-pkgdesc="Gnome Devtool Libraries"
-url="http://www.gnome.org/"
-license="GPL"
-makedepends="gtk+-dev libxml2-dev intltool"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://ftp.gnome.org/pub/GNOME/sources/$pkgname/2.30/$pkgname-$pkgver.tar.bz2"
-
-build() {
- cd "$srcdir"/$pkgname-$pkgver
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --disable-static \
- || return 1
- make || return 1
-}
-
-package() {
- cd "$srcdir"/$pkgname-$pkgver
- make DESTDIR="$pkgdir" install || return 1
-}
-md5sums="ce4eef03a36bf6abd9f8cbad4806d7b8 gdl-2.30.0.tar.bz2"
diff --git a/testing/libusb-compat/APKBUILD b/testing/libusb-compat/APKBUILD
deleted file mode 100644
index daffca273e..0000000000
--- a/testing/libusb-compat/APKBUILD
+++ /dev/null
@@ -1,35 +0,0 @@
-# Maintainer: Leonardo Arena <rnalrd@gmail.com>
-pkgname=libusb-compat
-pkgver=0.1.3
-pkgrel=1
-pkgdesc="Compatibility library for use by user level applications to access USB devices regardless of OS"
-url="http://www.libusb.org/"
-license="LGPL v2.1"
-depends=
-makedepends="libusb-dev"
-depends_dev="libusb-dev"
-install=
-subpackages="$pkgname-dev"
-source="http://downloads.sourceforge.net/project/libusb/libusb-compat-0.1/$pkgname-$pkgver/$pkgname-$pkgver.tar.bz2"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
- cd "$_builddir"
-}
-
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install
-}
-
-md5sums="570ac2ea085b80d1f74ddc7c6a93c0eb libusb-compat-0.1.3.tar.bz2"
diff --git a/testing/open-vm-tools/APKBUILD b/testing/open-vm-tools/APKBUILD
index 97a3a7753a..c58775862d 100644
--- a/testing/open-vm-tools/APKBUILD
+++ b/testing/open-vm-tools/APKBUILD
@@ -2,7 +2,7 @@
pkgname=open-vm-tools
pkgver=8.4.2
_pkgsubver=261024
-pkgrel=0
+pkgrel=1
pkgdesc="The Open Virtual Machine Tools are the open source implementation of VMware Tools."
url="http://open-vm-tools.sourceforge.net/"
license="LGPL"
diff --git a/testing/pekwm/APKBUILD b/testing/pekwm/APKBUILD
deleted file mode 100644
index dcdd920f46..0000000000
--- a/testing/pekwm/APKBUILD
+++ /dev/null
@@ -1,36 +0,0 @@
-# Contributor:
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=pekwm
-pkgver=0.1.12
-pkgrel=0
-pkgdesc="Fast & Light Window Manager"
-url="http://pekwm.org/projects/pekwm"
-license="GPL"
-depends=
-makedepends="libiconv-dev libx11-dev"
-install=
-subpackages="$pkgname-doc"
-source="http://pekwm.org/projects/pekwm/files/pekwm-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
- cd "$_builddir"
- # apply patches here
-}
-
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install
-}
-
-md5sums="1f7f9ed32cc03f565a3ad30fd6045c1f pekwm-0.1.12.tar.gz"
diff --git a/testing/recordmydesktop/APKBUILD b/testing/recordmydesktop/APKBUILD
deleted file mode 100644
index 838292f627..0000000000
--- a/testing/recordmydesktop/APKBUILD
+++ /dev/null
@@ -1,37 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=recordmydesktop
-pkgver=0.3.8.1
-pkgrel=0
-pkgdesc="Produces a OGG encapsulated Theora/Vorbis recording of your desktop"
-url="http://recordmydesktop.sourceforge.net"
-license="GPL"
-depends=""
-makedepends="alsa-lib-dev zlib-dev libvorbis-dev libxdamage-dev libxext-dev
- libtheora-dev libsm-dev"
-subpackages="$pkgname-doc"
-source="http://downloads.sourceforge.net/recordmydesktop/recordmydesktop-$pkgver.tar.gz
- shmstr-to-shmproto.patch
- recordmydesktop-bitrate.patch"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- cd "$_builddir"
- patch -p0 < $srcdir/shmstr-to-shmproto.patch
- patch -p1 < $srcdir/recordmydesktop-bitrate.patch
-}
-
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr \
- --disable-jack \
- || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="6998b165540598965499bd99d8aa0eef recordmydesktop-0.3.8.1.tar.gz
-211a1773f223b3f281520aa1056395e6 shmstr-to-shmproto.patch
-b0794a769efd287e9e8c5fb8c3299b35 recordmydesktop-bitrate.patch"
diff --git a/testing/recordmydesktop/recordmydesktop-bitrate.patch b/testing/recordmydesktop/recordmydesktop-bitrate.patch
deleted file mode 100644
index 9b014486af..0000000000
--- a/testing/recordmydesktop/recordmydesktop-bitrate.patch
+++ /dev/null
@@ -1,50 +0,0 @@
-diff -ru recordmydesktop-0.3.8.1.old/src/rmd_initialize_data.c recordmydesktop-0.3.8.1/src/rmd_initialize_data.c
---- recordmydesktop-0.3.8.1.old/src/rmd_initialize_data.c 2009-11-25 10:05:58.708779029 -0500
-+++ recordmydesktop-0.3.8.1/src/rmd_initialize_data.c 2009-11-25 09:28:07.629507987 -0500
-@@ -224,7 +224,7 @@
- args->channels = 1;
- args->frequency = 22050;
- args->buffsize = 4096;
-- args->v_bitrate = 45000;
-+ args->v_bitrate = 0;
- args->v_quality = 63;
- args->s_quality = 10;
-
-diff -ru recordmydesktop-0.3.8.1.old/src/rmd_parseargs.c recordmydesktop-0.3.8.1/src/rmd_parseargs.c
---- recordmydesktop-0.3.8.1.old/src/rmd_parseargs.c 2009-11-25 10:06:07.409777969 -0500
-+++ recordmydesktop-0.3.8.1/src/rmd_parseargs.c 2009-11-25 09:39:32.786757292 -0500
-@@ -104,10 +104,10 @@
- "Encoding Options\n"
- "\t--on-the-fly-encoding\tEncode the audio-video data, while recording.\n"
- "\t--v_quality n\t\tA number from 0 to 63 for"
-- " desired encoded video quality(default 63).\n"
-+ " desired encoded video quality(default 63).\n\t (set quality to zero for bitrate controlled usage)\n"
-
-- "\t--v_bitrate n\t\tA number from 45000 to 2000000"
-- " for desired encoded video bitrate(default 45000).\n"
-+ "\t--v_bitrate n\t\tA number from 0 to 200000000"
-+ " for desired encoded video bitrate(default 0 = not rate controlled).\n"
-
- "\t--s_quality n\t\tDesired audio quality(-1 to 10).\n\n"
-
-@@ -327,17 +327,17 @@
- strcmp(argv[i], "-v_bitrate") == 0) {
- if(i+1<argc){
- int num=atoi(argv[i+1]);
-- if((num>=45000)&&(num<=2000000))
-+ if((num>=0)&&(num<=200000000))
- arg_return->v_bitrate=num;
- else{
- fprintf(stderr,"Argument Usage:"
-- " --v_bitrate n(number 45000-2000000)\n");
-+ " --v_bitrate n(number 0-200000000)\n");
- return FALSE;
- }
- }
- else{
- fprintf(stderr,"Argument Usage:"
-- " --v_bitrate n(number 45000-2000000)\n");
-+ " --v_bitrate n(number 0-200000000)\n");
- return FALSE;
- }
- i++;
diff --git a/testing/recordmydesktop/shmstr-to-shmproto.patch b/testing/recordmydesktop/shmstr-to-shmproto.patch
deleted file mode 100644
index 6fc446e9a8..0000000000
--- a/testing/recordmydesktop/shmstr-to-shmproto.patch
+++ /dev/null
@@ -1,20 +0,0 @@
---- src/rmd_getzpixmap.c 2008-12-13 17:04:10.000000000 +0100
-+++ src/rmd_getzpixmap.c 2009-11-11 11:30:18.000000000 +0100
-@@ -32,7 +32,7 @@
-
- #include <X11/Xlib.h>
- #include <X11/Xlibint.h>
--#include <X11/extensions/shmstr.h>
-+#include <X11/extensions/shmproto.h>
- #include <X11/extensions/XShm.h>
-
-
---- src/rmd_update_image.c 2008-12-13 17:20:49.000000000 +0100
-+++ src/rmd_update_image.c 2009-11-11 11:30:34.000000000 +0100
-@@ -32,7 +32,7 @@
- #include "rmd_types.h"
-
- #include <X11/Xlibint.h>
--#include <X11/extensions/shmstr.h>
-+#include <X11/extensions/shmproto.h>
- #include <X11/extensions/XShm.h>
diff --git a/testing/udev/APKBUILD b/testing/udev/APKBUILD
index 0d55e6fd65..4689cf6e0e 100644
--- a/testing/udev/APKBUILD
+++ b/testing/udev/APKBUILD
@@ -1,13 +1,14 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=udev
-pkgver=142
+pkgver=161
pkgrel=1
pkgdesc="The userspace dev tools (udev)"
url="http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
license="GPL"
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-dev $pkgname-doc libgudev"
depends=
-makedepends=""
+makedepends="gobject-introspection glib-dev gperf acl-dev libusb-compat-dev
+ usbutils pciutils-dev libtool"
install=
source="http://www.kernel.org/pub/linux/utils/kernel/hotplug/$pkgname-$pkgver.tar.bz2
write_root_link_rule
@@ -21,10 +22,19 @@ build ()
cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr \
--sysconfdir=/etc \
- --exec-prefix="" \
- --with-libdir-name=/lib
+ --sbindir=/sbin \
+ --libdir=/usr/lib \
+ --with-rootlibdir=/lib \
+ --libexecdir=/lib/udev \
+ || return 1
make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
make DESTDIR="$pkgdir" install
+
+ mkdir -p "$pkgdir"/usr/lib/pkgconfig
chmod +x "$pkgdir"/lib/udev/write_*_rules
for _i in write_root_link_rule move_tmp_persistent_rules.sh; do
install -Dm755 ../$_i "$pkgdir"/lib/udev/$_i
@@ -33,9 +43,16 @@ build ()
install -Dm755 ../$_i.initd "$pkgdir"/etc/init.d/$_i
done
}
-md5sums="3edc4cf383dccb06d866c5156d59ddd5 udev-142.tar.bz2
+
+libgudev() {
+ pkgdesc="A GObject wrapper of the library gudev"
+ mkdir -p "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/lib/libgudev* "$subpkgdir"/usr/lib/
+}
+
+md5sums="95b6a0ffc9913f3e8021c65f51eb4f88 udev-161.tar.bz2
c9de7581099cdfdcd105666cd98a0f0a write_root_link_rule
7bf11e11519117f743483c73e0767750 move_tmp_persistent_rules.sh
-12760065a66ccbddc9e3a86a6cd2231c udev-mount.initd
-bffb42859ca508cfe1d9fa0a169ba810 udev-postmount.initd
-e913f8f122e8879252d2a05de7dd7499 udev.initd"
+884d7faaaa149a323b14e907ea1934f4 udev-mount.initd
+8f0a1b371804c7fa30f1a7bfde88e9ea udev-postmount.initd
+42b7e4ad49874e68851fc21153f41c4f udev.initd"
diff --git a/testing/udev/udev-mount.initd b/testing/udev/udev-mount.initd
index 839565a5ba..f0d8cc39f2 100755..100644
--- a/testing/udev/udev-mount.initd
+++ b/testing/udev/udev-mount.initd
@@ -1,5 +1,5 @@
#!/sbin/runscript
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
description="Mount tmpfs on /dev"
@@ -7,13 +7,20 @@ description="Mount tmpfs on /dev"
mount_dev_directory()
{
+ if mountinfo -q /dev; then
+ einfo "/dev is already mounted"
+ return 0
+ fi
+
# No options are processed here as they should all be in /etc/fstab
ebegin "Mounting /dev"
- if fstabinfo --quiet /dev; then
- mount -n /dev
- else
+ if ! fstabinfo --mount /dev; then
+ # we mount devtmpfs if supported
+ local fs=tmpfs
+ grep -qs devtmpfs /proc/filesystems && fs=devtmpfs
+
# Some devices require exec, Bug #92921
- mount -n -t tmpfs -o "exec,nosuid,mode=0755,size=10M" udev /dev
+ mount -n -t "$fs" -o "exec,nosuid,mode=0755,size=10M" udev /dev
fi
eend $?
}
@@ -35,18 +42,6 @@ seed_dev()
# so udev can add its start-message to dmesg
[ -c /dev/kmsg ] || mknod -m 660 /dev/kmsg c 1 11
- # copy over any persistant things
- if [ -d /lib/udev/devices ]; then
- cp -RPp /lib/udev/devices/* /dev 2>/dev/null
- fi
-
- # Not provided by sysfs but needed
- ln -snf /proc/self/fd /dev/fd
- ln -snf fd/0 /dev/stdin
- ln -snf fd/1 /dev/stdout
- ln -snf fd/2 /dev/stderr
- [ -e /proc/kcore ] && ln -snf /proc/kcore /dev/core
-
# Create problematic directories
mkdir -p /dev/pts /dev/shm
return 0
@@ -55,27 +50,10 @@ seed_dev()
start()
{
- # do not run this on too old baselayout - udev-addon is already loaded!
- if [ ! -f /etc/init.d/sysfs ]; then
- eerror "The $SVCNAME init-script is written for baselayout-2!"
- eerror "Please do not use it with baselayout-1!".
- return 1
- fi
-
- _start
-}
-
-_start()
-{
mount_dev_directory || return 1
- # Selinux lovin; /selinux should be mounted by selinux-patched init
- if [ -x /sbin/restorecon -a -c /selinux/null ]; then
- restorecon /dev > /selinux/null
- fi
-
# make sure it exists
- mkdir -p /dev/.udev
+ mkdir -p /dev/.udev /dev/.udev/rules.d
seed_dev
diff --git a/testing/udev/udev-postmount.initd b/testing/udev/udev-postmount.initd
index 96beb845bb..33a412ff87 100755..100644
--- a/testing/udev/udev-postmount.initd
+++ b/testing/udev/udev-postmount.initd
@@ -1,21 +1,27 @@
#!/sbin/runscript
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/files/136/udev-postmount.initd,v 1.3 2009/02/23 16:30:53 zzam Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/files/161/udev-postmount.initd,v 1.1 2010/08/24 18:41:29 zzam Exp $
depend() {
need localmount
+ after dbus # for trigger failed
}
dir_writeable()
{
- mkdir "$1"/.test.$$ 2>/dev/null && rmdir "$1"/.test.$$
+ printf "" 2>/dev/null >"$1"/.test.$$ && rm "$1"/.test.$$
}
start() {
# check if this system uses udev
[ -d /dev/.udev/ ] || return 0
+ einfo "Doing udev cleanups"
+
+ # Run the events that failed at first udev trigger
+ udevadm trigger --type=failed -v
+
# only continue if rules-directory is writable
dir_writeable /etc/udev/rules.d || return 0
diff --git a/testing/udev/udev-start.sh b/testing/udev/udev-start.sh
deleted file mode 100644
index 87c3a6ac93..0000000000
--- a/testing/udev/udev-start.sh
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-[ -e /etc/conf.d/udev ] && . /etc/conf.d/udev
-
-compat_volume_nodes()
-{
- # Only do this for baselayout-1*
- # This check is likely to get false positives due to some multilib stuff,
- # but that should not matter, as this can only happen on old openrc versions
- # no longer available as ebuilds.
- if [ ! -e /lib/librc.so ]; then
-
- # Create nodes that udev can't
- [ -x /sbin/lvm ] && \
- /sbin/lvm vgscan -P --mknodes --ignorelockingfailure &>/dev/null
- # Running evms_activate on a LiveCD causes lots of headaches
- [ -z "${CDBOOT}" -a -x /sbin/evms_activate ] && \
- /sbin/evms_activate -q &>/dev/null
- fi
-}
-
-start_initd()
-{
- (
- . /etc/init.d/"$1"
- _start
- )
-}
-
-# mount tmpfs on /dev
-start_initd udev-mount || exit 1
-
-# Create a file so that our rc system knows it's still in sysinit.
-# Existance means init scripts will not directly run.
-# rc will remove the file when done with sysinit.
-# this is no longer needed as of openrc-0.4.0
-touch /dev/.rcsysinit
-
-# load device tarball
-start_initd udev-dev-tarball
-
-# run udevd
-start_initd udev || exit 1
-
-compat_volume_nodes
-
-# inject into boot runlevel
-IN_HOTPLUG=1 /etc/init.d/udev-postmount start >/dev/null 2>&1
-
-# udev started successfully
diff --git a/testing/udev/udev.confd b/testing/udev/udev.confd
new file mode 100644
index 0000000000..7c3d3eb229
--- /dev/null
+++ b/testing/udev/udev.confd
@@ -0,0 +1,64 @@
+# /etc/conf.d/udev: config file for udev
+
+# We discourage to disable persistent-net!!
+# this may lead to random interface naming
+
+# Disable adding new rules for persistent-net
+persistent_net_disable="no"
+
+# Disable adding new rules for persistent-cd
+# Disabling this will stop new cdrom devices to appear
+# as /dev/{cdrom,cdrw,dvd,dvdrw}
+persistent_cd_disable="no"
+
+# Set to "yes" if you want to save /dev to a tarball on shutdown
+# and restore it on startup. This is useful if you have a lot of
+# custom device nodes that udev does not handle/know about.
+#
+# As this option is fragile, we recommend you
+# to create your devices in /lib/udev/devices.
+# These will be copied to /dev on boot.
+#rc_device_tarball="NO"
+
+# udev can trigger coldplug events which cause services to start and
+# kernel modules to be loaded.
+# Services are deferred to start in the boot runlevel.
+# Set rc_coldplug="NO" if you don't want this.
+# If you want module coldplugging but not coldplugging of services then you
+# can disable service coldplugging in baselayout/openrc config files.
+# The setting is named different in different versions.
+# in /etc/rc.conf: rc_hotplug="!*" or
+# in /etc/conf.d/rc: rc_plug_services="!*"
+#rc_coldplug="YES"
+
+
+
+
+# Expert options:
+
+# Disable warning about unreliable kernel/udev combination
+#unreliable_kernel_warning="no"
+
+# Timeout in seconds to wait for processing of uevents at boot.
+# There should be no need to change this.
+#udev_settle_timeout="60"
+
+# Add extra command line options to udevd, use with care
+# udevd --help for possible values
+#udev_opts=""
+
+# Run udevd --debug and write output to /dev/.udev/udev.log
+# Should not be kept on as it fills diskspace slowly
+#udev_debug="YES"
+
+# Run udevadmin monitor to get a log of all events
+# in /dev/.udev/udevmonitor.log
+#udev_monitor="YES"
+
+# Keep udevmonitor running after populating /dev.
+#udev_monitor_keep_running="no"
+
+# Set cmdline options for udevmonitor.
+# could be some of --env --kernel --udev
+#udev_monitor_opts="--env"
+
diff --git a/testing/udev/udev.initd b/testing/udev/udev.initd
index 26774ab4ac..e48ea9b675 100755..100644
--- a/testing/udev/udev.initd
+++ b/testing/udev/udev.initd
@@ -1,5 +1,5 @@
#!/sbin/runscript
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
description="Run udevd and create the device-nodes"
@@ -19,7 +19,7 @@ depend()
before checkfs fsck
# udev does not work inside vservers
- keyword novserver
+ keyword novserver nolxc noopenvz
}
cleanup()
@@ -46,14 +46,13 @@ rules_disable_switch()
# this function disables rules files
# by creating new files with the same name
# in a temp rules directory with higher priority
- local d=/dev/.udev/rules.d bname="$1" onoff="$2"
+ local f=/dev/.udev/rules.d/"$1" bname="$1" onoff="$2"
if yesno "${onoff}"; then
- mkdir -p "$d"
echo "# This file disables ${bname} due to /etc/conf.d/udev" \
- > "${d}/${bname}"
+ > "${f}"
else
- rm -f "${d}/${bname}"
+ rm -f "${f}"
fi
}
@@ -63,8 +62,15 @@ start_udevd()
if [ -e /proc/modules ] ; then
modprobe -q unix 2>/dev/null
fi
+ local opts="${udev_opts}"
+
ebegin "Starting udevd"
- start-stop-daemon --start --exec /sbin/udevd -- --daemon
+ if yesno "${udev_debug:-no}"; then
+ /sbin/udevd --daemon ${opts} --debug 2>/dev/.udev/udev.log
+ else
+ start-stop-daemon --start --exec /sbin/udevd -- --daemon ${opts}
+ fi
+
eend $?
}
@@ -77,25 +83,31 @@ populate_dev()
fi
ebegin "Populating /dev with existing devices through uevents"
+ udevadm control --property=STARTUP=1
if yesno "${rc_coldplug}"; then
- udevadm trigger
+ udevadm trigger --action="add"
else
# Do not run any init-scripts, Bug #206518
- udevadm control --env do_not_run_plug_service=1
+ udevadm control --property=do_not_run_plug_service=1
# only create device nodes
- udevadm trigger --attr-match=dev
+ udevadm trigger --action="add" --attr-match=dev
# run persistent-net stuff, bug 191466
- udevadm trigger --subsystem-match=net
+ udevadm trigger --action="add" --subsystem-match=net
fi
eend $?
+ # we can speed up booting under these conditions:
+ # * using devtmpfs so kernel creates device nodes for us
+ # * only using kernel created device nodes at boot (in /etc/fstab and elsewhere)
+ #
ebegin "Waiting for uevents to be processed"
udevadm settle --timeout=${udev_settle_timeout:-60}
eend $?
- udevadm control --env do_not_run_plug_service=
+ udevadm control --property=do_not_run_plug_service=
+ udevadm control --property=STARTUP=
return 0
}
@@ -131,21 +143,11 @@ display_hotplugged_services() {
svc="${svcfile##*/}"
[ -x "${svcfile}" ] || continue
- # do not display this - better: do only inject it later :)
- [ "$svc" = "udev-postmount" ] && continue
-
services="${services} ${svc}"
done
[ -n "${services}" ] && einfo "Device initiated services:${HILITE}${services}${NORMAL}"
}
-inject_postmount_initd() {
- if ! mark_service_hotplugged udev-postmount; then
- IN_HOTPLUG=1 /etc/init.d/udev-postmount start >/dev/null 2>&1
- fi
- #einfo "Injected udev-postmount service"
-}
-
check_persistent_net()
{
# check if there are problems with persistent-net
@@ -198,22 +200,19 @@ check_udev_works()
start()
{
- # do not run this on old baselayout where udev-addon gets loaded
- if [ ! -f /etc/init.d/sysfs ]; then
- eerror "The $SVCNAME init-script is written for baselayout-2!"
- eerror "Please do not use it with baselayout-1!".
- return 1
- fi
-
_start
display_hotplugged_services
- inject_postmount_initd
+ return 0
}
_start()
{
+ if [ ! -e /etc/runlevels/${RC_DEFAULTLEVEL:-default}/udev-postmount ]; then
+ ewarn "You should add udev-postmount service to your default runlevel."
+ fi
+
root_link
rules_disable_switch 75-persistent-net-generator.rules "${persistent_net_disable:-no}"
rules_disable_switch 75-cd-aliases-generator.rules ${persistent_cd_disable:-no}
diff --git a/testing/ulogd/APKBUILD b/testing/ulogd/APKBUILD
deleted file mode 100644
index 52ba2dd030..0000000000
--- a/testing/ulogd/APKBUILD
+++ /dev/null
@@ -1,53 +0,0 @@
-# Contributor: Carlo Landmeter <clandmeter@gmail.com>
-pkgname=ulogd
-pkgver=2.0.0_beta3
-_pkgver=2.0.0beta3
-pkgrel=2
-pkgdesc="A userspace logging daemon for netfilter/iptables related logging"
-url="http://netfilter.org/projects/ulogd/index.html"
-license="GPL"
-depends=
-makedepends="sqlite-dev mysql-dev postgresql-dev libpcap-dev libnfnetlink-dev
-libnetfilter_conntrack-dev libnetfilter_log-dev pkgconfig openssl-dev"
-subpackages="$pkgname-doc $pkgname-dev $pkgname-sqlite $pkgname-pgsql $pkgname-mysql"
-source="http://netfilter.org/projects/ulogd/files/ulogd-2.0.0beta3.tar.bz2
- ulogd.initd"
-
-build() {
- cd "$srcdir/$pkgname-$_pkgver"
-
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info
- make || return 1
-}
-
-package() {
- cd "$srcdir/$pkgname-$_pkgver"
- make DESTDIR="$pkgdir" install
- install -Dm644 ulogd.conf "$pkgdir"/etc/ulogd.conf
- install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
-}
-
-sqlite() {
- depends="$pkgname sqlite"
- mkdir -p "$subpkgdir"/usr/lib/ulogd/
- mv "$pkgdir"/usr/lib/ulogd/ulogd_output_SQLITE3.so "$subpkgdir"/usr/lib/ulogd/
-}
-
-pgsql() {
- depends="$pkgname libpq"
- mkdir -p "$subpkgdir"/usr/lib/ulogd/
- mv "$pkgdir"/usr/lib/ulogd/ulogd_output_PGSQL.so "$subpkgdir"/usr/lib/ulogd/
-}
-
-mysql() {
- depends="$pkgname libmysqlclient openssl"
- mkdir -p "$subpkgdir"/usr/lib/ulogd/
- mv "$pkgdir"/usr/lib/ulogd/ulogd_output_MYSQL.so "$subpkgdir"/usr/lib/ulogd/
-}
-
-
-md5sums="be8137d3b7ae70ebbce7ca8852b9e901 ulogd-2.0.0beta3.tar.bz2
-5eedaae6102a4e90b3b89f051f54fbf1 ulogd.initd"
diff --git a/testing/ulogd/ulogd.initd b/testing/ulogd/ulogd.initd
deleted file mode 100644
index 4413327baf..0000000000
--- a/testing/ulogd/ulogd.initd
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2004 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/app-admin/ulogd/files/ulogd,v 1.2 2004/07/13 16:32:25 aliz Exp $
-
-opts="reload"
-
-depend() {
- need net
- after firewall
-}
-
-checkconfig() {
- if [ ! -e /etc/ulogd.conf ]; then
- eerror "You need /etc/ulogd.conf"
- return 1
- fi
-}
-
-start() {
- checkconfig || return 1
- ebegin "Starting ulogd"
- start-stop-daemon --start --quiet --exec /usr/sbin/ulogd >/dev/null 2>&1
- eend $?
-}
-
-stop() {
- ebegin "Stopping ulogd"
- start-stop-daemon --stop --quiet --exec /usr/sbin/ulogd >/dev/null 2>&1
- eend $?
-}
-
-reload() {
- ebegin "Reloading ulogd.conf file"
- killall -HUP ulogd &>/dev/null
- eend $?
-}
-
diff --git a/testing/valide/APKBUILD b/testing/valide/APKBUILD
index d26afd2a6e..5ed20c9349 100644
--- a/testing/valide/APKBUILD
+++ b/testing/valide/APKBUILD
@@ -1,5 +1,4 @@
-# Contributor:
-# Maintainer:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=valide
pkgver=0.7.0
pkgrel=0
@@ -8,7 +7,7 @@ url="http://www.valaide.org/"
license="GPL"
depends="vala"
makedepends="gtk+-dev intltool gtksourceview-dev libunique-dev python
- libxml2-dev gdl-dev"
+ libxml2-dev gdl-dev vala"
install=
subpackages="$pkgname-dev $pkgname-doc"
source="http://valide.googlecode.com/files/valide-$pkgver.tar.gz"
diff --git a/testing/vlc/APKBUILD b/testing/vlc/APKBUILD
deleted file mode 100644
index 8b0f6ceecd..0000000000
--- a/testing/vlc/APKBUILD
+++ /dev/null
@@ -1,121 +0,0 @@
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=vlc
-pkgver=1.1.2
-pkgrel=0
-pkgdesc="A multi-platform MPEG, VCD/DVD, and DivX player"
-url="http://www.videolan.org/vlc/"
-license="GPL-2"
-subpackages="$pkgname-dev $pkgname-doc"
-#depends="libnotify a52dec fluidsynth zvbi libdvbpsi lirc-utils libdca hal
-# libproxy sdl_image libdvdnav>=4.1.3 lua libxv libv4l libcddb smbclient
-# libmatroska taglib sysfsutils libmpcdec ffmpeg>=0.5 libshout libmad
-# qt fribidi libmpeg2 libmodplug avahi ttf-dejavu"
-depends="ttf-dejavu"
-makedepends="
- a52dec-dev
- alsa-lib-dev
- automake
- autoconf
- libtool
- dbus-dev
- faad2-dev
- ffmpeg-dev
- flac-dev
- fribidi-dev
- gtk+-dev
- libgcrypt-dev
- libice-dev
- libiconv-dev
- libmad-dev
- libmpeg2-dev
- libnotify-dev
- libogg-dev
- libsm-dev
- libtheora-dev
- libx11-dev
- libxext-dev
- libxv-dev
- lua-dev
- ncurses-dev
- mesa-dev
- pkgconfig
- sdl-dev
- sysfsutils-dev
- x264-dev
- "
-source="http://download.videolan.org/pub/videolan/$pkgname/$pkgver/$pkgname-$pkgver.tar.bz2
- uclibc3.patch
- uclibc-libcompat.patch
- uclibc-inhibit-spawn.patch
- "
-
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch)
- msg "Applying $i"
- patch -p1 -i "$srcdir"/$i || return 1
- ;;
- esac;
- done
- ./bootstrap
-}
-
-build ()
-{
- cd "$_builddir"
- sed -i -e 's:/usr/share/fonts/truetype/freefont/FreeSerifBold.ttf:/usr/share/fonts/TTF/DejaVuSerif-Bold.ttf:' modules/misc/freetype.c
-
- export CFLAGS="$CFLAGS -D_GNU_SOURCE"
-
- ./configure --prefix=/usr \
- --disable-mmx \
- --disable-nls \
- --disable-optimizations \
- --disable-qt4 --disable-skins2 \
- --disable-rpath \
- --enable-dbus \
- --enable-dbus-control \
- --enable-faad \
- --enable-flac \
- --enable-httpd \
- --enable-ncurses \
- --enable-realrtsp \
- --enable-sdl \
- --enable-sout \
- --enable-theora \
- --enable-vlm \
- --enable-xvideo \
- || return 1
-
-# --enable-dvdread \
-# --enable-dvdnav \
-# --enable-qt4 \
-# --enable-skins2 \
-# --enable-dvb \
-# --enable-v4l \
-# --enable-snapshot \
-# --enable-hal \
-# --enable-lirc \
-# --enable-shout \
-# --enable-pvr \
-
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir"/ install || return 1
-# for res in 16 32 48 128; do
-# install -D -m644 share/vlc${res}x${res}.png \
-# "$pkgdir"/usr/share/icons/hicolor/${res}x${res}/apps/vlc.png || return 1
-# done
- rm -rf "$pkgdir"/usr/lib/mozilla
-}
-
-md5sums="dec11ed850e044c518aee6fef7e7f893 vlc-1.1.2.tar.bz2
-4f74dcde9ce51c15d80c3876b85c05f2 uclibc3.patch
-d718e22a7de9f38579f276f720b2f36a uclibc-libcompat.patch
-361d6ae9d7b846833ed31e8454074158 uclibc-inhibit-spawn.patch"
diff --git a/testing/vlc/uclibc-inhibit-spawn.patch b/testing/vlc/uclibc-inhibit-spawn.patch
deleted file mode 100644
index 9a6be5bd6a..0000000000
--- a/testing/vlc/uclibc-inhibit-spawn.patch
+++ /dev/null
@@ -1,35 +0,0 @@
-diff --git a/modules/misc/inhibit/xdg.c b/modules/misc/inhibit/xdg.c
-index 01decac..134c5c9 100644
---- a/modules/misc/inhibit/xdg.c
-+++ b/modules/misc/inhibit/xdg.c
-@@ -25,7 +25,12 @@
- #include <vlc_common.h>
- #include <vlc_plugin.h>
- #include <vlc_inhibit.h>
--#include <spawn.h>
-+#if !defined(_POSIX_SPAWN)
-+# define _POSIX_SPAWN -1
-+#else
-+# include <spawn.h>
-+#endif
-+
- #include <sys/wait.h>
-
- static int Open (vlc_object_t *);
-@@ -125,8 +130,15 @@ static void *Thread (void *data)
- };
- pid_t pid;
- int canc = vlc_savecancel ();
--
-+#if (_POSIX_SPAWN >= 0)
- if (!posix_spawnp (&pid, "xdg-screensaver", NULL, NULL, argv, environ))
-+#else
-+ pid = fork();
-+ if (pid == 0) {
-+ execvp("xdg-screensaver", argv);
-+ exit(1);
-+ } else if (pid > 0)
-+#endif
- {
- int status;
-
diff --git a/testing/vlc/uclibc-libcompat.patch b/testing/vlc/uclibc-libcompat.patch
deleted file mode 100644
index e4008002f4..0000000000
--- a/testing/vlc/uclibc-libcompat.patch
+++ /dev/null
@@ -1,81 +0,0 @@
-commit c605c09bbc29d88619264c55c371c9dcbc839eda
-Author: Natanael Copa <ncopa@alpinelinux.org>
-Date: Thu Jul 29 19:20:17 2010 +0000
-
- build: libcompat fix in case there are no functions to replace
-
- If the libc provides all the funcs in libcompat the libcompat.a will
- never be created due to LIBOBJS is empty (normally it contains whatever
- AC_REPLACE_FUNCS detects). This happens on uclibc.
-
- Since Makefile.am have a hardcoded LDADD to ../compat/libcompat.la things
- goes bad when there is no libcompat.a at all. We solve this by checking
- if LIBOBJS is set by AC_REPLACE_FUNCS and add libcompat via LTLIBCOMPAT.
-
- For alternative fixes see http://www.gnu.org/software/hello/manual/automake/LIBOBJS.html
-
-diff --git a/bin/Makefile.am b/bin/Makefile.am
-index 92e6879..a941d99 100644
---- a/bin/Makefile.am
-+++ b/bin/Makefile.am
-@@ -60,5 +60,5 @@ vlc_win32_rc.$(OBJEXT): vlc_win32_rc.rc
- vlc_cache_gen_SOURCES = cachegen.c
- vlc_cache_gen_LDADD = \
- $(GNUGETOPT_LIBS) \
-- ../compat/libcompat.la \
-+ $(LTLIBCOMPAT) \
- ../src/libvlc.la ../src/libvlccore.la
-diff --git a/configure.ac b/configure.ac
-index 52e4830..b385100 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -547,6 +547,14 @@ need_libc=false
- dnl Check for usual libc functions
- AC_CHECK_FUNCS([ctime_r daemon fcntl fdopendir fstatvfs fork getenv getpwuid_r gettimeofday isatty lstat memalign openat posix_fadvise posix_madvise posix_memalign setenv setlocale stricmp strnicmp tdestroy uselocale])
- AC_REPLACE_FUNCS([asprintf atof atoll getcwd getdelim getpid gmtime_r lldiv localtime_r nrand48 rewind strcasecmp strcasestr strdup strlcpy strncasecmp strndup strnlen strsep strtof strtok_r strtoll swab vasprintf])
-+
-+dnl Check that we actually need libcompat
-+LTLIBCOMPAT=""
-+if test "x${LIBOBJS}" != "x"; then
-+ LTLIBCOMPAT="\$(top_builddir)/compat/libcompat.la"
-+fi
-+AC_SUBST(LTLIBCOMPAT)
-+
- AC_CHECK_FUNCS(fdatasync,,
- [AC_DEFINE(fdatasync, fsync, [Alias fdatasync() to fsync() if missing.])
- ])
-diff --git a/modules/common.am b/modules/common.am
-index 5e4d65f..9e2c739 100644
---- a/modules/common.am
-+++ b/modules/common.am
-@@ -24,7 +24,7 @@ AM_LDFLAGS = -rpath '$(libvlcdir)' \
- -no-undefined \
- `$(VLC_CONFIG) --ldflags plugin $@`
- AM_LIBADD = `$(VLC_CONFIG) -libs plugin $@` \
-- $(LTLIBVLCCORE) $(top_builddir)/compat/libcompat.la
-+ $(LTLIBVLCCORE) $(LTLIBCOMPAT)
-
- include $(srcdir)/Modules.am
-
-diff --git a/src/Makefile.am b/src/Makefile.am
-index f46a154..6aad884 100644
---- a/src/Makefile.am
-+++ b/src/Makefile.am
-@@ -201,7 +201,7 @@ libvlccore_la_LDFLAGS = `$(VLC_CONFIG) --ldflags libvlccore` $(AM_LDFLAGS) \
- -export-symbols $(srcdir)/libvlccore.sym \
- -version-info 5:0:0
- libvlccore_la_LIBADD = `$(VLC_CONFIG) -libs libvlccore` $(AM_LIBADD) \
-- $(LTLIBINTL) ../compat/libcompat.la
-+ $(LTLIBINTL) $(LTLIBCOMPAT)
- libvlccore_la_DEPENDENCIES = libvlccore.sym
- if HAVE_WIN32
- libvlccore_la_DEPENDENCIES += libvlc_win32_rc.$(OBJEXT)
-@@ -214,7 +214,7 @@ libvlc_win32_rc.$(OBJEXT): libvlc_win32_rc.rc
- libvlc_la_SOURCES = $(SOURCES_libvlc_control)
- nodist_libvlc_la_SOURCES = revision.c
- libvlc_la_LIBADD = `$(VLC_CONFIG) -libs libvlc` \
-- libvlccore.la ../compat/libcompat.la
-+ libvlccore.la $(LTLIBCOMPAT)
- libvlc_la_CFLAGS = `$(VLC_CONFIG) --cflags libvlc`
- libvlc_la_LDFLAGS = $(AM_LDFLAGS) `$(VLC_CONFIG) --ldflags libvlc` \
- -version-info 6:0:1 \
diff --git a/testing/vlc/uclibc3.patch b/testing/vlc/uclibc3.patch
deleted file mode 100644
index 04154f35bf..0000000000
--- a/testing/vlc/uclibc3.patch
+++ /dev/null
@@ -1,49 +0,0 @@
-diff --git a/src/control/vlm.c b/src/control/vlm.c
-index 05417e5..46fa957 100644
---- a/src/control/vlm.c
-+++ b/src/control/vlm.c
-@@ -25,6 +25,10 @@
- # include <config.h>
- #endif
-
-+#ifdef HAVE_CONFIG_H
-+# include "config.h"
-+#endif
-+
- #include <vlc/libvlc.h>
- #include <vlc/libvlc_vlm.h>
- #include <vlc_es.h>
-diff --git a/src/misc/linux_specific.c b/src/misc/linux_specific.c
-index 1644ce6..1440e1c 100644
---- a/src/misc/linux_specific.c
-+++ b/src/misc/linux_specific.c
-@@ -83,14 +83,14 @@ static struct
- unsigned refs;
- } once = { VLC_STATIC_MUTEX, 0 };
-
--#ifdef __GLIBC__
-+#if defined(__GLIBC__) && !defined(__UCLIBC__)
- # include <gnu/libc-version.h>
- # include <stdlib.h>
- #endif
-
- void system_Init (libvlc_int_t *libvlc, int *argc, const char *argv[])
- {
--#ifdef __GLIBC__
-+#if defined(__GLIBC__) && !defined(__UCLIBC__)
- const char *glcv = gnu_get_libc_version ();
-
- /* gettext in glibc 2.5-2.7 is not thread-safe. LibVLC keeps crashing,
-diff --git a/src/misc/mtime.c b/src/misc/mtime.c
-index 1cc787d..985aa3a 100644
---- a/src/misc/mtime.c
-+++ b/src/misc/mtime.c
-@@ -78,7 +78,7 @@ int nanosleep(struct timespec *, struct timespec *);
- # define _POSIX_CLOCK_SELECTION (-1)
- #endif
-
--# if (_POSIX_CLOCK_SELECTION < 0)
-+# if (_POSIX_CLOCK_SELECTION < 0) || defined(__UCLIBC__)
- /*
- * We cannot use the monotonic clock if clock selection is not available,
- * as it would screw vlc_cond_timedwait() completely. Instead, we have to